2019-11-14 06:59 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004245DynaBlaster[WHDLoad Installs Games] slavepublic2019-11-01 22:42
ReporterCFOU 
Assigned ToPsygoreProject InfoDyna Blaster (Hudson Soft)
http://www.whdload.de/games/DynaBlaster.html
 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0004245: Crash with 5(4-joy default) option
DescriptionSalut Phil,
Il y a un problème avec le patch Dynablaster à priori facilement corrigeable.
(je voulais jouer avec mes neveux ;))
Je pense que c'est une coquille car il a un DBF qui renvoie en plein milieu d'une instruction BRA.W

$42992 BRA.W $429D2
---
$429D2 DBF D7,$42994

ça arrive avec l'option 5(4-joy Default)

Si tu as le temps, peux-tu regarder?

Merci d'avance.
TagsNo tags attached.
MachineA1200
CPU68EC030
CPUSpeed50
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem0 MB
WorkbenchOS 3.9
KickROM40 - Kick 3.1
KickSoft45 - Kick 3.1.4
WHDLoad18.5
imported
Attached Files
  • ? file icon .whdl_register (3,342 bytes) 2019-10-21 13:01 -
    ************************* 21-oct-19  12:49:38 ************************18.5.5948***
    Slave='DynaBlaster.Slave' (5044 bytes)
    Resload   41EFF7D0 - 41F06EF8 (  30504) at 41EFF7D0  GL=$41F09000
    Slave     41F10EC0 - 41F12250 (   5008) at 41F10EC0  BaseMemSize=$80000
    ExpMem    41F07000 - 41F08000 (   4096) at 41F07000
    attn=217(UAE,30,81) fc=-1 kn=1029 cs=19C8 rw=0 zpt=-1 ep=0 ei=0
    setcpu=0(SNCS,ENCS,BNCS)
    
    Exception "Illegal Instruction" ($10) at $42994 occured.
    
    $00042950 moveq        #1,d0
    $00042952 bsr.w        $42a16
    $00042956 moveq        #2,d0
    $00042958 bsr.w        $42a16
    $0004295c moveq        #3,d0
    $0004295e bsr.w        $42a16
    $00042962 bsr.w        $43458
    $00042966 move.w       #4,($430c4)
    $0004296e move.w       #$a,($430c6)
    $00042976 move.w       #0,($430c0)
    $0004297e move.w       #4,($430c2)
    $00042986 move.w       #3,($430be)
    $0004298e bsr.w        $43012
    $00042992 bra.w        $429d2
    $00042996 btst         d3,($617c,a2)                  ;$0000c1e4
    $0004299a move.w       #4,d0
    $0004299e cmpi.b       #$fe,(6,a6)                    ;$00dff006
    $000429a4 bne.b        $4299e
    $000429a6 cmpi.b       #$ff,(6,a6)                    ;$00dff006
    $000429ac bne.b        $429a6
    $000429ae dbf          d0,$4299e
    $000429b2 move.w       ($430c0,pc),d0
    $000429b6 bsr.w        $42a48
    $000429ba move.w       #4,d0
    $000429be cmpi.b       #$fe,(6,a6)                    ;$00dff006
    $000429c4 bne.b        $429be
    $000429c6 cmpi.b       #$ff,(6,a6)                    ;$00dff006
    $000429cc bne.b        $429c6
    $000429ce dbf          d0,$429be
    
    exception stackframe:
    $41F07DF0 20000004 29940010
    regular stack:
    $41F07DF8 00041D88 00041D24 DDDDDDDD DDDDDDDD DDDDDDDD DDDDDDDD DDDDDDDD DDDDDDDD
    $41F07E18 DDDDDDDD DDDDDDDD DDDDDDDD DDDDDDDD DDDDDDDD DDDDDDDD DDDDDDDD DDDDDDDD
    $41F07E38 DDDDDDDD DDDDDDDD DDDDDDDD DDDDDDDD DDDDDDDD DDDDDDDD DDDDDDDD DDDDDDDD
    $41F07E58 DDDDDDDD DDDDDDDD DDDDDDDD DDDDDDDD DDDDDDDD DDDDDDDD DDDDDDDD DDDDDDDD
    $41F07E78 DDDDDDDD DDDDDDDD DDDDDDDD DDDDDDDD DDDDDDDD DDDDDDDD DDDDDDDD DDDDDDDD
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx       10      5500         3      FFFF  D4D4FFFF  FFFFFFFF      FFFF      FFFE
    Ax    3E86C      65B7      6068     462B0      65B4     5B11A    DFF000
    
                     TTSM III   XNZVC
    PC=   42994  SR %0010000000000000  USP=41F07A00  ISP=41F07DF0  MSP=7F800
    VBR=41F0A000  SFC=5  DFC=5  CACR=2000  CAAR=0  TT0=0  TT1=0
    TC=0  CRP=100000000  SRP=100000000  MMUSR=0
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%0100000000111000 dmacon=%0000011111111111 adkcon=$1100
    intreq=%0000000000000000
    vposr....A300  vhposr...02CB  joy0dat..0201  joy1dat..0000  clxdat...8023  
    pot0dat..0000  pot1dat..0000  potinp...5500  serdatr..3000  dskbytr..0000  
    deniseid.00F8  hhposr...0000  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=00000000  ta=21FF<21FF	   cra=00000000  ta=FFFF<FFFF
    	    AII ROPS			    AII ROPS
    	crb=00000000  tb=21FF<21FF	   crb=00000000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=11111100  prb=11111111      pra=00000011  prb=11111111
           ddra=00000011 ddrb=00000000     ddra=11000000 ddrb=11111111
           event=000436  icr=00  sdr=00    event=052607  icr=00  sdr=00
    
    ? file icon .whdl_register (3,342 bytes) 2019-10-21 13:01 +
  • ? file icon DynaBlaster16.lha (3,204 bytes) 2019-10-22 14:43

-Relationships
+Relationships

-Notes

note ~0007146

CFOU (developer)

Access fault at $42994
$42992 BRA.W $429D2

It seems to fix it, you have just to replaced by:

42992 nop
44994 BRA.B $429D2

Regards,

note ~0007160

Psygore (developer)

I wrote a wrong branch code, it must branch after the dbf code.

Thanks for the report Bertrand, I will attach a new slave here to test.

note ~0007162

Psygore (developer)

Attached a new slave 1.6

note ~0007171

CFOU (developer)

i will try today

Thanx

note ~0007173

CFOU (developer)

Works fine now for me with 5(4-joy Default) option.

Thanks Phil ;)

note ~0007260

CFOU (developer)

Fixed with last slave
+Notes

-Issue History
Date Modified Username Field Change
2019-10-21 13:01 CFOU New Issue
2019-10-21 13:01 CFOU File Added: .whdl_register
2019-10-21 13:08 CFOU Note Added: 0007146
2019-10-22 08:57 Psygore Assigned To => Psygore
2019-10-22 08:57 Psygore Status new => assigned
2019-10-22 09:02 Psygore Note Added: 0007160
2019-10-22 14:43 Psygore File Added: DynaBlaster16.lha
2019-10-22 14:44 Psygore Note Added: 0007162
2019-10-23 10:45 CFOU Note Added: 0007171
2019-10-23 12:37 CFOU Note Added: 0007173
2019-11-01 22:42 CFOU Status assigned => resolved
2019-11-01 22:42 CFOU Resolution open => fixed
2019-11-01 22:42 CFOU Note Added: 0007260
+Issue History